package nl.sbdeveloper.themeparkplus.api;

import nl.sbdeveloper.themeparkplus.api.objects.Gate;
import org.bukkit.Location;
import org.jetbrains.annotations.NotNull;

import java.util.HashMap;

public class PlusAPI {
    private static HashMap<Location, Gate> gates = new HashMap<>();

    public static void addGate(Gate gate) {
        gates.put(gate.getLoc(), gate);
    }

    public static void removeGate(@NotNull Gate gate) {
        gates.remove(gate.getLoc());
    }

    public static boolean isGate(Location loc) {
        return gates.containsKey(loc);
    }

    public static Gate getGate(Location loc) {
        return gates.get(loc);
    }

    public static HashMap<Location, Gate> getGates() {
        return gates;
    }
}
