package nl.sbdeveloper.themeparkplus.api.objects;

import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import java.util.UUID;

@Getter @Setter
public class MalfunctionReport {
    private String rideID;
    private UUID reporterUUID;
    private LocalDateTime reportDate;
    private String reason;

    public MalfunctionReport(String rideID, UUID reporterUUID, LocalDateTime reportDate, String reason) {
        this.rideID = rideID;
        this.reporterUUID = reporterUUID;
        this.reportDate = reportDate;
        this.reason = reason;
    }
}
